/**
 * value is not set in definition
 */
export declare class PersonClass {
    personName: string;
    firstName: string;
    lastName: string;
    age: number;
    /**
     * Public constructor
     */
    constructor(personName: string, firstName: string, lastName: string, age: number);
    /**
     * @param personName the personName to set
     */
    setPersonName(personName: any): void;
    /**
     * @return the personName
     */
    getPersonName(): string;
    /**
     * @param firstName the firstName to set
     */
    setFirstName(firstName: any): void;
    /**
     * @return the firstName
     */
    getFirstName(): string;
    /**
     * @param lastName the lastName to set
     */
    setLastName(lastName: any): void;
    /**
     * @return the lastName
     */
    getLastName(): string;
    /**
     * @param age the age to set
     */
    setAge(age: any): void;
    /**
     * @return the age
     */
    getAge(): number;
    /**
     * @return the object as string
     */
    toString(): string;
    /**
     * @param pendingRecursiveCalls with the pending recursive calls
     * @return a new instance of the class with a random values
     */
    static generateRandomInstance(pendingRecursiveCalls: number): PersonClass;
    /**
     * @param internalValueParseGenerator with the json to be parsed
     * @return an instance of this class
     */
    static parse(internalValueParseGenerator: any): PersonClass;
}
