/**
 * value is not set in definition
 */
export declare class SubjectClass {
    subjectName: string;
    /**
     * Public constructor
     */
    constructor(subjectName: string);
    /**
     * @param subjectName the subjectName to set
     */
    setSubjectName(subjectName: any): void;
    /**
     * @return the subjectName
     */
    getSubjectName(): string;
    /**
     * @return the object as string
     */
    toString(): string;
    /**
     * @param pendingRecursiveCalls with the pending recursive calls
     * @return a new instance of the class with a random values
     */
    static generateRandomInstance(pendingRecursiveCalls: number): SubjectClass;
    /**
     * @param internalValueParseGenerator with the json to be parsed
     * @return an instance of this class
     */
    static parse(internalValueParseGenerator: any): SubjectClass;
}
